ros-melodic-moveit-ros-robot-interaction (1.0.11-1bionic) bionic; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 12 Sep 2022 22:00:00 -0000

ros-melodic-moveit-ros-robot-interaction (1.0.10-1bionic) bionic; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 05 Mar 2022 23:00:00 -0000

ros-melodic-moveit-ros-robot-interaction (1.0.9-1bionic) bionic; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 08 Jan 2022 23:00:00 -0000

ros-melodic-moveit-ros-robot-interaction (1.0.8-1bionic) bionic; urgency=high

  * Suppress warnings "mesh_use_embedded_materials is ignored"
  * Contributors: Robert Haschke

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 22 May 2021 22:00:00 -0000

ros-melodic-moveit-ros-robot-interaction (1.0.7-1bionic) bionic; urgency=high

  * [maint] Add comment to MOVEIT_CLASS_FORWARD (#2315 <https://github.com/ros-planning/moveit/issues/2315>)
  * Contributors: Felix von Drigalski

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 19 Nov 2020 23:00:00 -0000

ros-melodic-moveit-ros-robot-interaction (1.0.6-1bionic) bionic; urgency=high

  * [maint] Migrate to clang-format-10
  * [maint] Optimize includes (#2229 <https://github.com/ros-planning/moveit/issues/2229>)
  * Contributors: Markus Vieth, Robert Haschke

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 18 Aug 2020 22:00:00 -0000

ros-melodic-moveit-ros-robot-interaction (1.0.5-1bionic) bionic; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 07 Jul 2020 22:00:00 -0000

ros-melodic-moveit-ros-robot-interaction (1.0.4-1bionic) bionic; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 29 May 2020 22:00:00 -0000

ros-melodic-moveit-ros-robot-interaction (1.0.3-1bionic) bionic; urgency=high

  * [maint] Apply clang-tidy fix to entire code base (#1394 <https://github.com/ros-planning/moveit/issues/1394>)
  * [maint] Fix errors: catkin_lint 1.6.7 (#1987 <https://github.com/ros-planning/moveit/issues/1987>)
  * [maint] Windows build: Fix binary artifact install locations. (#1575 <https://github.com/ros-planning/moveit/issues/1575>)
  * [maint] Use CMAKE_CXX_STANDARD to enforce c++14 (#1607 <https://github.com/ros-planning/moveit/issues/1607>)
  * Contributors: Robert Haschke, Sean Yen, Yu, Yan

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 25 Apr 2020 22:00:00 -0000

ros-melodic-moveit-ros-robot-interaction (1.0.2-1bionic) bionic; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 27 Jun 2019 22:00:00 -0000

ros-melodic-moveit-ros-robot-interaction (1.0.1-1bionic) bionic; urgency=high

  * [improve] Apply clang tidy fix to entire code base (Part 1) (#1366 <https://github.com/ros-planning/moveit/issues/1366>)
  * Contributors: Yu, Yan

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 07 Mar 2019 23:00:00 -0000

ros-melodic-moveit-ros-robot-interaction (1.0.0-1bionic) bionic; urgency=high

  * [fix] catkin_lint issues (#1341 <https://github.com/ros-planning/moveit/issues/1341>)
  * [improve] Remove (redundant) random seeding and #attempts from RobotState::setFromIK() as the IK solver perform random seeding themselves. #1288 <https://github.com/ros-planning/moveit/issues/1288>
  * [improve] cleanup RobotInteraction (#1287 <https://github.com/ros-planning/moveit/issues/1287>)
  * [improve] limit IK timeout to 0.1s for a responsive interaction behaviour (#1291 <https://github.com/ros-planning/moveit/issues/1291>)
  * Contributors: Robert Haschke

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 23 Feb 2019 23:00:00 -0000

ros-melodic-moveit-ros-robot-interaction (0.10.8-1bionic) bionic; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 23 Dec 2018 23:00:00 -0000

ros-melodic-moveit-ros-robot-interaction (0.10.7-1bionic) bionic; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 12 Dec 2018 23:00:00 -0000

ros-melodic-moveit-ros-robot-interaction (0.10.6-1bionic) bionic; urgency=high

  * [maintenance] Replaced Eigen::Affine3d -> Eigen::Isometry3d (#1096 <https://github.com/ros-planning/moveit/issues/1096>)
  * [maintenance] Use C++14 (#1146 <https://github.com/ros-planning/moveit/issues/1146>)
  * [maintenance] Cleanup Robot Interaction (#1194 <https://github.com/ros-planning/moveit/issues/1194>)
    * Remove deprecated handling of own KinematicsOptionsMap
    * Use normalized quaternions
  * [maintenance] Code Cleanup
    * #1179 <https://github.com/ros-planning/moveit/issues/1179>
    * #1196 <https://github.com/ros-planning/moveit/issues/1196>
  * Contributors: Alex Moriarty, Dave Coleman, Michael Görner, Robert Haschke

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 08 Dec 2018 23:00:00 -0000

ros-melodic-moveit-ros-robot-interaction (0.10.5-1bionic) bionic; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 31 Oct 2018 23:00:00 -0000

ros-melodic-moveit-ros-robot-interaction (0.10.4-1bionic) bionic; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 28 Oct 2018 23:00:00 -0000

ros-melodic-moveit-ros-robot-interaction (0.10.3-1bionic) bionic; urgency=high

  * [fix] compiler warnings (#1089 <https://github.com/ros-planning/moveit/issues/1089>)
  * Contributors: Robert Haschke

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 28 Oct 2018 23:00:00 -0000

ros-melodic-moveit-ros-robot-interaction (0.10.2-1bionic) bionic; urgency=high

  * [fix] Text refrences to MoveIt! (#1020 <https://github.com/ros-planning/moveit/issues/1020>)
  * Contributors: Mohmmad Ayman, Robert Haschke, mike lautman

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 23 Oct 2018 22:00:00 -0000

ros-melodic-moveit-ros-robot-interaction (0.10.1-1bionic) bionic; urgency=high

  * [fix] interaction with planar joints (#767 <https://github.com/ros-planning/moveit/issues/767>)
  * [maintenance] boost::shared_ptr -> std::shared_ptr
  * [maintenance] migration from tf to tf2 API (#830 <https://github.com/ros-planning/moveit/issues/830>)
  * [enhance] association of IK solvers to groups #769 <https://github.com/ros-planning/moveit/issues/769>
  * Contributors: Bence Magyar, Ian McMahon, Michael Görner, Robert Haschke

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 24 May 2018 22:00:00 -0000

ros-melodic-moveit-ros-robot-interaction (0.9.11-1bionic) bionic; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 24 Dec 2017 23:00:00 -0000

ros-melodic-moveit-ros-robot-interaction (0.9.10-1bionic) bionic; urgency=high

  * [package.xml] Add a release-maintainer. Cleanup #649 <https://github.com/ros-planning/moveit/pull/649>

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 08 Dec 2017 23:00:00 -0000

ros-melodic-moveit-ros-robot-interaction (0.9.9-1bionic) bionic; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 05 Aug 2017 22:00:00 -0000

ros-melodic-moveit-ros-robot-interaction (0.9.8-1bionic) bionic; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 20 Jun 2017 22:00:00 -0000

ros-melodic-moveit-ros-robot-interaction (0.9.7-1bionic) bionic; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 04 Jun 2017 22:00:00 -0000

ros-melodic-moveit-ros-robot-interaction (0.9.6-1bionic) bionic; urgency=high

  * [fix] catkin_make -DCMAKE_ENABLE_TESTING=0 failure (#478 <https://github.com/ros-planning/moveit/issues/478>)
  * Contributors: Michael Goerner

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 11 Apr 2017 22:00:00 -0000

ros-melodic-moveit-ros-robot-interaction (0.9.5-1bionic) bionic; urgency=high

  * [fix][moveit_ros_warehouse] gcc6 build error #423 <https://github.com/ros-planning/moveit/pull/423>
  * [enhancement] Remove "catch (...)" instances, catch std::exception instead of std::runtime_error (#445 <https://github.com/ros-planning/moveit/issues/445>)
  * Contributors: Bence Magyar, Dave Coleman

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 07 Mar 2017 23:00:00 -0000

ros-melodic-moveit-ros-robot-interaction (0.9.4-1bionic) bionic; urgency=high

  * [maintenance] clang-format upgraded to 3.8 (#367 <https://github.com/ros-planning/moveit/issues/367>)
  * Contributors: Dave Coleman

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 05 Feb 2017 23:00:00 -0000

ros-melodic-moveit-ros-robot-interaction (0.9.3-1bionic) bionic; urgency=high

  * [maintenance] Updated package.xml maintainers and author emails #330 <https://github.com/ros-planning/moveit/issues/330>
  * Contributors: Dave Coleman, Ian McMahon

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 15 Nov 2016 23:00:00 -0000

ros-melodic-moveit-ros-robot-interaction (0.9.2-1bionic) bionic; urgency=high

  * [Maintenance] Auto format codebase using clang-format (#284 <https://github.com/ros-planning/moveit/issues/284>)
  * Contributors: Dave Coleman

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 04 Nov 2016 23:00:00 -0000

ros-melodic-moveit-ros-robot-interaction (0.6.6-1bionic) bionic; urgency=high

  * use getModelFrame() as reference frame for markers
  * publish markers relative to robot's root frame
    In addition to #669 <https://github.com/ros-planning/moveit_ros/issues/669>, interactive markers need to be place relative to the
    robot's root frame. If nothing is specified (as before), rviz' fixed frame
    is used, leading to offsets when both frames are not identical.
  * merge indigo-devel changes (PR #633 <https://github.com/ros-planning/moveit_ros/issues/633> trailing whitespace) into jade-devel
  * Removed trailing whitespace from entire repository
  * further adapted marker size computation
    - drop largest extension dimension (-> use cross-section size of elongated link)
    - for an end-effector group, consider the sizes of individual links
    instead of the overall size of all links (which becomes huge very fast)
    - enlarge marker size by factor of 1.5 when there is only a single eef marker
  * reworked computeLinkMarkerSize()
    compute size such that the marker sphere will cover
    - a spherical link geometry -> AABB.maxCoeff
    - a cubical link geometry -> AABB.norm
    -> use average of both values
    Virtual links (without any shape) will have a size of AABB of zero dims.
    In this case use the dimensions of the closest parent link instead.
  * improved computation of interactive marker size
    - use parent_link if group == parent_group
    - scale smaller than 5cm is clipped to 5cm instead of using default
    - clarified size computation, using diameter of AABB
  * fixing error caused by BOOST_STATIC_ASSERT
  * Fixed compile error caused by BOOST_STATIC_ASSERT in kinematic_options.cpp
    Added kinematics::DiscretizationMethods::DiscretizationMethod to QO_FIELDS in kinematic_options.cpp.
    At pull request #581 <https://github.com/ros-planning/moveit_ros/issues/581>, type of discretization_method was set to int. Changed it to proper type.
  * reinstated changes related to the updates in the  moveit_core::KinematicsBase interface
  * Revert "  Kinematics Base changes in moveit_core"
  * adds the 'returns_approximate_solution' entry so that it is compatible with the changes in kinematics::KinematicsBase class in the moveit_core repo
  * Contributors: Daichi Yoshikawa, Dave Coleman, Robert Haschke, Sachin Chitta, jrgnicho

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 07 Jun 2016 22:00:00 -0000

ros-melodic-moveit-ros-robot-interaction (0.6.5-1bionic) bionic; urgency=high

  * update maintainers
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 23 Jan 2015 23:00:00 -0000

ros-melodic-moveit-ros-robot-interaction (0.6.4-1bionic) bionic; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 19 Dec 2014 23:00:00 -0000

ros-melodic-moveit-ros-robot-interaction (0.6.3-1bionic) bionic; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 02 Dec 2014 23:00:00 -0000

ros-melodic-moveit-ros-robot-interaction (0.6.2-1bionic) bionic; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 30 Oct 2014 23:00:00 -0000

ros-melodic-moveit-ros-robot-interaction (0.6.1-1bionic) bionic; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 30 Oct 2014 23:00:00 -0000

ros-melodic-moveit-ros-robot-interaction (0.6.0-1bionic) bionic; urgency=high

  * Fix coding style according to the moveit style
  * update joystick documentation according to the latest implementation
  * add checkbox to toggle if moveit rviz plugin subscribes
    the topics to be used for communication to the external ros nodes.
    update moveit_joy.py to parse srdf to know planning_groups and the
    names of the end effectors and support multi-endeffector planning groups.
  * adding PoseStamped topic to move the interactive marker from other ros nodes
    such as joystick programs.
  * Contributors: Ryohei Ueda, Sachin Chitta

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 26 Oct 2014 23:00:00 -0000

ros-melodic-moveit-ros-robot-interaction (0.5.19-1bionic) bionic; urgency=high

  * Fix [-Wreorder] warning.
  * Allow planning groups to have more than one tip
  * Contributors: Adolfo Rodriguez Tsouroukdissian, Dave Coleman

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 22 Jun 2014 22:00:00 -0000

ros-melodic-moveit-ros-robot-interaction (0.5.18-1bionic) bionic; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 22 Mar 2014 23:00:00 -0000

ros-melodic-moveit-ros-robot-interaction (0.5.17-1bionic) bionic; urgency=high

  * update maintainer e-mail
  * Contributors: Ioan Sucan

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 21 Mar 2014 23:00:00 -0000

ros-melodic-moveit-ros-robot-interaction (0.5.16-1bionic) bionic; urgency=high

  * fix test
    This was testing functionality that got removed.  Removed that part of the
    test.
  * robot_interaction: add comments
    Comment cryptic public function behavior.
  * robot_interaction: fix formatting
    remove tabs and whitespace at the end of lines.
  * robot_interaction: fix comment formatting
    Limit lines to 120 chars max (80 preferred in headers).
  * robot_interaction: fix setStateFromIK prototypes
    use references instead of pointers.
  * robot_interaction: fix header problems
    fix getRobotModel() bug
    make internal functions private.
  * remove extraneous code
  * add missing headers
  * robot_interaction: Fix issues raised by Ioan
  * robot_interaction: use LockedRobotState
    Fix a number of thread safety violations.
  * robot_interaction: add LockedRobotState and tests
  * robot_interaction: use KinematicOptionsMap
    Fixes threading issues.
    Separate the handling of kinematics options into a separate object which
    enforces thread safe access.
  * robot_interaction: add KinematicOptions
    KinematicOptions contains the parameters needed to call RobotState::setFromIK.
    KinematicOptionsMap contains a map of string->KinematicOptions a default KinematicOptions.
    These are useful in RobotInteraction with the group name as the key.
  * pull RobotInteraction structures out of class
    The Generic, EndEffector, and Joint structures complicate the core of
    RobotInteraction.  Pull them out to simplify the code.  This will also
    help with future plans to make the core of RobotInteraction more
    generic and flexible.
  * fix include guards to match moveit conventions
  * robot_interaction: include interaction_handler.h from robot_interaction.h
    This is for backwards compatibility with code that only includes
    robot_interaction.h
  * robot_interaction: split handler into own file
  * robot_interaction: split InteractionHandler into its own file
  * robot_interaction: make lock-protected members private
    Since the lock is needed to access these and the lock is private it makes no
    sense for them to be protected.
  * robot_interaction: add locking comments
  * robot_interaction: simplify code
  * robot_interaction: fix comments
  * Contributors: Acorn Pooley

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 26 Feb 2014 23:00:00 -0000

ros-melodic-moveit-ros-robot-interaction (0.5.14-1bionic) bionic; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 05 Feb 2014 23:00:00 -0000

ros-melodic-moveit-ros-robot-interaction (0.5.13-1bionic) bionic; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 05 Feb 2014 23:00:00 -0000

ros-melodic-moveit-ros-robot-interaction (0.5.12-1bionic) bionic; urgency=high

  * Fixed trailing underscores in CHANGELOGs.
  * Contributors: Dave Hershberger

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 02 Jan 2014 23:00:00 -0000

ros-melodic-moveit-ros-robot-interaction (0.5.11-1bionic) bionic; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 02 Jan 2014 23:00:00 -0000

ros-melodic-moveit-ros-robot-interaction (0.5.10-1bionic) bionic; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 07 Dec 2013 23:00:00 -0000

ros-melodic-moveit-ros-robot-interaction (0.5.9-1bionic) bionic; urgency=high

  * adds KDL link directories to robot_interaction/CMakeLists.txt (fixes #376 <https://github.com/ros-planning/moveit_ros/issues/376>)
  * fixed computation of dimension_.
  * fixes for mimic joints and redundant joints

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 02 Dec 2013 23:00:00 -0000

ros-melodic-moveit-ros-robot-interaction (0.5.8-1bionic) bionic; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 10 Oct 2013 22:00:00 -0000

ros-melodic-moveit-ros-robot-interaction (0.5.7-1bionic) bionic; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 30 Sep 2013 22:00:00 -0000

ros-melodic-moveit-ros-robot-interaction (0.5.6-1bionic) bionic; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 25 Sep 2013 22:00:00 -0000

ros-melodic-moveit-ros-robot-interaction (0.5.5-1bionic) bionic; urgency=high

  * porting to new RobotState API

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 22 Sep 2013 22:00:00 -0000

ros-melodic-moveit-ros-robot-interaction (0.5.4-1bionic) bionic; urgency=high

  * make headers and author definitions aligned the same way; white space fixes
  * fix #283 <https://github.com/ros-planning/moveit_ros/issues/283>

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 13 Aug 2013 22:00:00 -0000

ros-melodic-moveit-ros-robot-interaction (0.5.2-1bionic) bionic; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 14 Jul 2013 22:00:00 -0000

ros-melodic-moveit-ros-robot-interaction (0.5.1-1bionic) bionic; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 13 Jul 2013 22:00:00 -0000

ros-melodic-moveit-ros-robot-interaction (0.5.0-1bionic) bionic; urgency=high

  * fix #275 <https://github.com/ros-planning/moveit_ros/issues/275>
  * white space fixes (tabs are now spaces)
  * adding options struct to kinematics base

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 11 Jul 2013 22:00:00 -0000

ros-melodic-moveit-ros-robot-interaction (0.4.5-1bionic) bionic; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 02 Jul 2013 22:00:00 -0000

ros-melodic-moveit-ros-robot-interaction (0.4.4-1bionic) bionic; urgency=high

  * bugfixes
  * robot_interaction: include sphere markers by default
  * use improved MOVE_ROTATE_3D marker

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 25 Jun 2013 22:00:00 -0000


